void always(void)
{ 
	char ltemp[80],mtemp[80];
	int count=0,count1=0,i=0,j=0;
	char temp1[9],ifexp[30];
	fgets(ltemp,sizeof(ltemp),fs);
	temp1[0]=ltemp[0];
	temp1[1]=ltemp[1];
	temp1[2]=ltemp[2];
	temp1[3]=ltemp[3];
	temp1[4]=ltemp[4];
	temp1[5]='\0';
	if(strcmp(temp1,"begin")==0)
	{
		fgets(ltemp,sizeof(ltemp),fs);
		temp1[0]=ltemp[0];
		temp1[1]=ltemp[1];
		temp1[2]=ltemp[2];
		temp1[3]='\0';
		while(strcmp(temp1,"end")!=0)
		{
			strcpy(all[count++].line,ltemp);
			fgets(ltemp,sizeof(ltemp),fs);
		temp1[0]=ltemp[0];
		temp1[1]=ltemp[1];
		temp1[2]=ltemp[2];
		}
	}
	else
	{	
		strcpy(all[count++].line,ltemp);
		printf("iam in this loop");
	}

	for(i=0;i<count;i++)
	{
		for(j=0;isspace(all[i].line[j])!=0;j++);
		

		temp1[0]=all[i].line[0];
		temp1[1]=all[i].line[1];
		temp1[2]=all[i].line[2];
		temp1[3]=all[i].line[3];
		temp1[4]='\0';
		
		if(temp1[0]=='i')
			temp1[2]='\0';
		if(strcmp(temp1,"if")!=0 && strcmp(temp1,"case")!=0)
		{ 
			strcpy(temp,all[i].line);
			and_or2(-1);
		}

		else if(strcmp(temp1,"if")==0)
		{int a=0,k;char t[30],t1[30];
		   for(k=j;all[i].line[k]!='(';k++);
	   
		   for(j=k+1;all[i].line[j]!=')';j++)
			  ifexp[a++]=all[i].line[j];
		   ifexp[a]=';'; 
		   ifexp[a+1]='\0';

		   strcpy(temp,"alw_0=");
		   strcat(temp,ifexp);
		variable1[0]='\0';variable2[0]='\0';final[0]='\0';outvar[0]='\0';
		   and_or2(-1);
		   strcpy(temp,all[++i].line);
		
		   for(k=0;temp[k]!=';';k++);
			temp[k]='\0';

		 //  for(j=k;t[j]!='=';j++);
		 //  a=0;
		//  for(k=j+1;t[k]!=';';k++)
		//	   t1[a++]=t[k];
		//   t1[a]='&';t1[a+1]='\0';
		   strcat(temp,"&alw_0;");
		   for(k=0;temp[k]!=';';k++);
			temp[k+1]='\0';
		variable1[0]='\0';variable2[0]='\0';final[0]='\0';outvar[0]='\0';
		and_or2(0);

		}
	}
}




